# Interface BimApiIfcObjectsLoadOptions

Load options of BimIfcObject instances

interface BimApiIfcObjectsLoadOptions {
ifcObjectHasGeometryPredicate?: (o: BimIfcObject) => boolean;
isIfcObjectVisiblePredicate?: (o: BimIfcObject) => boolean;
removeLeafIfcObjectsWithNoGeometry?: boolean;
}

#### Hierarchy (View Summary)

- BimApiIfcObjectsLoadOptions
  - BimApiLoadOptionsWithExplicitIfcChanges
  - BimApiLoadOptionsWithIfcChangePredicate

##### Index

### Properties

ifcObjectHasGeometryPredicate?
isIfcObjectVisiblePredicate?
removeLeafIfcObjectsWithNoGeometry?

## Properties

### `Optional` `Readonly` ifcObjectHasGeometryPredicate

ifcObjectHasGeometryPredicate?: (o: BimIfcObject) => boolean

All BimIfcObject matching this criteria will be marked with BimIfcObject.hasGeometry = `false` so that they can not be visualized (no geometry data will be loaded)

### `Optional` `Readonly` isIfcObjectVisiblePredicate

isIfcObjectVisiblePredicate?: (o: BimIfcObject) => boolean

Determines if object is initially visible or not. Only valid if ifcObjectHasGeometryPredicate is not defined or returns `true` for the object.

### `Optional` removeLeafIfcObjectsWithNoGeometry

removeLeafIfcObjectsWithNoGeometry?: boolean

Determines whether leaf nodes in the IFC hierarchy, with no geometry, should be removed during loading. Defaults to `false`.